tk.tracks {Rgb} | R Documentation

## Track management for Genome browser

### Description

This function allows to load and edit the `drawable.list` object that is to be passed to `tk.browse` and codebrowsePlot, using a Tcl-tk interface

### Usage

      tk.tracks(drawables = drawable.list(), parent = NULL)

### Arguments

`drawables` | A previously built `drawable.list` to edit. Default value builds an empty one.
`parent` | An optional `tktoplevel` to bind message boxes to. Impact on the Tcl-tk interface behaviour is slight, so only advanced users should take care of it.

### Value

Returns a `drawable.list` object. Notice that if 'drawables' was provided, it will also be updated "in-place" (standard reference class behavior).

### Author(s)

Sylvain Mareschal

### See Also

`tk.browse`, `browsePlot`, `drawable.list-class`, `drawable-class`, `findDrawables`

[Package Rgb version 1.6.1 Index]